
// * Buttons -------------------------------------------------------------------
#{$button-selectors} {

  appearance: none;

  background-color : $default-button-color;
  color: $secondary-color;
  $default-button-shadow: default-button-shadow-with-color($default-button-color);
  box-shadow: $default-button-shadow;
  user-select: none !important;
  -webkit-tap-highlight-color: transparent !important;

  &:focus {
    outline: none;
    $_shadow1: $custom-focus-fx;
    $_shadow2: $default-button-shadow;
    box-shadow: $_shadow1, $_shadow2;
  }
  transition: all 100ms;
  &:active { transform: translateY(2px); }

  @include apply-adjusted-colors-to-properties($default-button-color, ('background-color', 'border-color'));
  &.primary {
    background-color : $primary-color;
    color: white;
    $default-button-shadow: default-button-shadow-with-color($action-color);
    box-shadow: $default-button-shadow;
    @include apply-adjusted-colors-to-properties($primary-color, ('background-color', 'border-color'));
    &:focus {
      outline: none;
      $_shadow1: $custom-focus-fx;
      $_shadow2: $default-button-shadow;
      box-shadow: $_shadow1, $_shadow2;
    }
  }
  &.secondary {
    background-color : $secondary-color;
    color: white;
    $default-button-shadow: default-button-shadow-with-color($secondary-color);
    box-shadow: $default-button-shadow;
    @include apply-adjusted-colors-to-properties($secondary-color, ('background-color', 'border-color'));
    &:focus {
      outline: none;
      $_shadow1: $custom-focus-fx;
      $_shadow2: $default-button-shadow;
      box-shadow: $_shadow1, $_shadow2;
    }
  }



  display : block;
  width : 100%;
  margin : 1rem 0 2rem 0;

  @include min-width(560px) {
    display : inline-block;
    width : unset;
    margin : 1rem 1rem 2rem 0;
  }
}

// * Form Inputs ---------------------------------------------------------------
#{$all-text-inputs} {
  border         : 2px solid darken($default-button-color, 10%);
  vertical-align : middle;
  padding : .75em;
  transition: all 120ms;
  &:focus {
    //border-color: $primary-color !important;
    outline-color: $primary-color !important;
    outline-offset : 0 !important;
    box-shadow: $custom-focus-fx !important;
    background-color : lighten($primary-color, 47%);

  }
}
.form-control {
  margin-bottom : 2rem;
}
textarea {
  line-height : 1.5;
}

// * Navbar --------------------------------------------------------------------
nav {
  background-color : whitesmoke;
  margin : 0;
  padding : 0;
  width : 100%;
  min-width : 100vw;
  max-width : 100vw;
  overflow-x: hidden;
  position : relative;
}
nav ul {
  text-align : center;
  margin : 0 auto;
  width : 100%;
  display : flex;
  flex-direction : column;
  align-items : center;
  align-content : center;
  justify-content : flex-start;

}
nav li {
  display : block;
  width : 100%;
}
nav a {
  width : 100%;
  line-height : 1;
  padding : 1rem 0;
  display : block;
  text-align : center;
  cursor : pointer;
  transition: all 100ms;
  user-select: none;

  &.active {
    opacity : .5;
    background : $primary-color;
    color: white;
    pointer-events: none;
  }

  &:hover {
    background : $primary-color;
    color: white;
  }
  &:focus {
    outline: none;
    background : darken($primary-color, 10%);
  }
  &:active {
    background : darken($primary-color, 20%);
  }
}
nav {
  @include min-width(560px) {

    ul {
      display : flex;
      flex-direction : row;
      align-items : center;
      align-content : center;
      justify-content : flex-end;
      margin-left : auto;
      margin-right : auto;
      max-width : 768px;
      width : 90%;

    }
    li {
      display : inline-block;
      width : unset;
    }
    a {
      display : inline-block;
      width : unset;
      padding : 1rem;
    }
  }
}
